Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Xubuntu 14.04 - Errors met sqlite  (gelezen 357 keer)

Offline seghele

  • Lid
  • Steunpunt: Nee
Xubuntu 14.04 - Errors met sqlite
« Gepost op: 2015/07/18, 16:33:46 »
Had getracht om sqlite versie 3.8.2 naar versie 3.8.10 te upgraten.
Heb iets gedaan wat niet mag of moest....en heb dus een probleem.
Mag ik hopen dat dit kan opgelost kan worden!
 :'(
Citaat
$ sudo dpkg --configure -a       
dpkg: error processing package libsqlite3-0:amd64 (--configure):
 package libsqlite3-0:amd64 3.8.10.2-1 cannot be configured because libsqlite3-0:i386 is at a different version (3.8.2-1ubuntu2)
dpkg: error processing package libsqlite3-0:i386 (--configure):
 package libsqlite3-0:i386 3.8.2-1ubuntu2 cannot be configured because libsqlite3-0:amd64 is at a different version (3.8.10.2-1)
dpkg: dependency problems prevent configuration of libsqlite3-tcl:
 libsqlite3-tcl is afhankelijk van libsqlite3-0 (>= 3.7.15); maar:
  Pakket libsqlite3-0:amd64 is nog niet geconfigureerd.

dpkg: error processing package libsqlite3-tcl (--configure):
 vereistenproblemen - blijft ongeconfigureerd
dpkg: dependency problems prevent configuration of libsqlite3-dev:amd64:
 libsqlite3-dev:amd64 is afhankelijk van libsqlite3-0 (= 3.8.10.2-1); maar:
  Pakket libsqlite3-0:amd64 is nog niet geconfigureerd.

dpkg: error processing package libsqlite3-dev:amd64 (--configure):
 vereistenproblemen - blijft ongeconfigureerd
dpkg: dependency problems prevent configuration of libsqlite3-0-dbg:
 libsqlite3-0-dbg is afhankelijk van libsqlite3-0 (= 3.8.10.2-1); maar:
  Pakket libsqlite3-0:amd64 is nog niet geconfigureerd.

dpkg: error processing package libsqlite3-0-dbg (--configure):
 vereistenproblemen - blijft ongeconfigureerd
dpkg: dependency problems prevent configuration of sqlite3:
 sqlite3 is afhankelijk van libsqlite3-0 (= 3.8.10.2-1); maar:
  Pakket libsqlite3-0:amd64 is nog niet geconfigureerd.

dpkg: error processing package sqlite3 (--configure):
 vereistenproblemen - blijft ongeconfigureerd
Fouten gevonden tijdens behandelen van:
 libsqlite3-0:amd64
 libsqlite3-0:i386
 libsqlite3-tcl
 libsqlite3-dev:amd64
 libsqlite3-0-dbg
 sqlite3
???

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Xubuntu 14.04 - Errors met sqlite
« Reactie #1 Gepost op: 2015/07/19, 18:24:24 »
Heb ook volgende gedaan....zonder resultaat !!!

~$ sudo apt-get install -f
[sudo] password for seghers:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... mislukt.
De volgende pakketten hebben niet-voldane vereisten:
 libsqlite3-0 : Breekt: libsqlite3-0:i386 (!= 3.8.10.2-1) maar 3.8.2-1ubuntu2 is ge├»nstalleerd
 libsqlite3-0:i386 : Breekt: libsqlite3-0 (!= 3.8.2-1ubuntu2) maar 3.8.10.2-1 is ge├»nstalleerd
E: Fout, pkgProblemResolver::Resolve maakte scheidingen aan, dit kan veroorzaakt worden door vastgehouden pakketten.
E: Kan vereisten niet corrigeren
:'(

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Xubuntu 14.04 - Errors met sqlite
« Reactie #2 Gepost op: 2015/07/20, 21:48:35 »
Moet ik vaststellen dat alle experten naar het buitenland zijn vertrokken?
 :o
Had toch meer verwacht!
 :'(

Offline EZ-man

  • Lid
  • Steunpunt: Nee
Re: Xubuntu 14.04 - Errors met sqlite
« Reactie #3 Gepost op: 2015/07/20, 22:12:09 »
Helaas zal je het met ons  moeten doen.  :D

Heb je al geprobeerd om SQLite helemaal te verwijderen, uit te huilen en opnieuw te beginnen?

Offline JohPoe

  • Lid
  • Steunpunt: Nee
Re: Xubuntu 14.04 - Errors met sqlite
« Reactie #4 Gepost op: 2015/07/21, 08:15:41 »
Helaas zal je het met ons  moeten doen.  :D

Heb je al geprobeerd om SQLite helemaal te verwijderen, uit te huilen en opnieuw te beginnen?

Niet dat ik van SQLite enige kennis heb maar bij het oefenen met 'zoeken met DuckDuckGo' kwam ik deze als nummer 1 tegen:
https://kubuntuforums.net/showthread.php?60125-Can-t-install-anything-bad-libsqlite3-0-amd64
Verwijderen en opnieuw installeren in een paar stappen.

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Xubuntu 14.04 - Errors met sqlite
« Reactie #5 Gepost op: 2015/07/21, 16:15:55 »
JohPoe,
Ben je heeeeel dankbaar.
Heb dus volgende gedaan:
~$ sudo dpkg --force-depends --purge libsqlite3-0:amd64
~$ sudo dpkg --force-depends --purge libsqlite3-0:i386
~$ sudo apt-get update
~$ sudo apt-get install -f
~$ sudo dpkg --configure -a
Wonder bij wonder: heb geen errors meer!
Ik kan terug verder met een werkend OSS.
 :)